#include "FormChargePrepare.h"
#include "ui_FormChargePrepare.h"

#include <QGraphicsScene>
#include <QGraphicsProxyWidget>
#include <QParallelAnimationGroup>
#include <QPropertyAnimation>

FormChargePrepare::FormChargePrepare(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::FormChargePrepare)
{
    ui->setupUi(this);

    initWidget();
}

FormChargePrepare::~FormChargePrepare()
{
    delete ui;
}

void FormChargePrepare::initWidget()
{
    ui->progress->setPixmapWithAnimation(QPixmap(":/images/starting/connect_success_background.png"));

    m_tips = new QLabel();

    m_tips->setWordWrap(true);
    m_tips->setText("Start\r\nCharging");
    m_tips->setAlignment(Qt::AlignCenter);

    ui->progress_layout->addWidget(m_tips,
                                   0,
                                   0,
                                   ui->progress_layout->rowCount(),
                                   ui->progress_layout->columnCount());

    m_tips->raise();
}
